* 1 Basiswissen
  * [1.1 Einführung](index.md)
  * [1.2 Lernumgebung](lernumgebung_processing.md)
  * [1.3 Dein erstes Grafikprogramm](grafikprogramm.md)
  * [1.4 Fehlermeldungen](fehlermeldungen.md)

---

* 2 Interaktion
  * [2.1 statischer vs. aktiver Modus](modus.md)
  * [2.2 Interaktion mit Maus & Tastatur](interaktion.md)
  * [2.3 Zufall](zufall.md)

---

* 3 Variablen
  * [3.1 Grundlagen](variablen.md)
  * [3.2 Datentypen](datentypen.md)
  * [3.3 Übung](variablen_ubung.md)
  * [3.4 lokale Variablen](variablen_lokal.md)
  * [3.5 interessante Operatoren](operatoren.md)
  * [3.6 Systemvariablen](systemvariablen.md)

---

* [Algorithmusbegriff](algorithmus.md)  

---  
* 4 If-Anweisungen
  * [4.1 Verzweigungen](verzweigung.md)
  * [4.2 Übung](verzweigung_ubung.md)
  * [4.3 geschachtelte Verzweigung](verzweigung_geschachtelt.md)
  * [4.4 Übung](verzweigung_ubung2.md)
  * [4.5 Boolesche Ausdrücke](boolescheAusdrucke.md)
  * [4.6 Boolesche Variable](boolescheVariable.md)
  * [4.7 Switch](switch.md)

---

* Anwendung: Spiele
* Spielfigur steuern

---
  
* 5 Schleifen
  * [5.1 Bedingte Schleife](schleifen_bedingteSchleifen.md)
  * [5.2 Übung](schleifen_ubung1.md)
  * [5.3 for-Schleife](schleifen_zaehlschleife.md)
  * [5.4 Übung](schleifen_ubung2.md)
  * [5.5 Schleifen im aktiven Modus](schleifen_aktiver_modus.md)
  * [5.6 verschachtelte Schleifen](schleifen_zaehlschleife_verschachtelt.md)

---

* [6 Find the mistake](find_the_mistake.md)

---

* 7 Eigene Funktionen
  * [7.1 Allgemeines](eigene_Funktionen.md)
  * [7.2. Parameter](eigene_Funktionen_Parameter.md)
  * [7.3 Rückgabewerte](eigene_Funktionen_Ruckgabewert.md)

---

* [8 Programmierprojekt](programmierprojekt2.md)

---

* Zusatz
  * [Rekursion](vertiefung_rekursion.md)
  * [Arrays](vertiefung_array.md)
  * [Datei und Text (externer Link)](https://michaelkipp.de/processing/dateien.html)
  * [Bilder bearbeiten](vertiefung_bildbearbeitung.md)
  * [3D-Grafiken](vertiefung_3d.md)
  
---

* [Processing](processing.md)
* [Markdown-Hinweise](markdown_hinweise.md)
* [Markdown-Formatierung](markdown_formatierung.md)