# Übung Zählschleife

*Dateiname: schleifen_ubung2.md*

t>**Aufgabe**<br />Schreibe eine For-Schleife, die eine Variable `zaehler` in 2er-Schritten von 0 bis 10 hochzählt. In jeder Runde wird der Wert auf der Konsole ausgegeben.

t>**Aufgabe ASCII-Art**<br />Schreibe eine For-Schleife, die eine vorgegebene Anzahl von Zeichen ausgibt, dabei sollen # (Hash) und . (Punkt) im Wechsel gedruckt werden.

t>**Aufgabe Summe**<br />Schreibe ein Programm, welches die Summe der ersten n Zahlen berechnet.

*n = 4*<br />*summe = 1 + 2 + 3 + 4*

t>**Aufgabe Fakultät**<br />Schreibe ein Programm, welches die Fakultät einer Zahl bestimmt.

## Schwierigkeitsstufe 1

t>**Aufgabe Mal-Reihe**<br />Erzeuge die Mal-Reihe (15 Elemente) einer vom Nutzer eingegebenen natürlichen Zahl. Diese soll in einer Liste ausgegeben werden.

t>**Aufgabe 1en-Zähler**<br />Erstelle ein Programm, bei dem man die Anzahl der Wurfversuche eines Würfels vorgeben kann. Deine Software soll dabei zählen, wie oft die Augenzahl 1 auftrat.

*Grafik*

t>**Aufgabe Streifenmuster**<br />Produziere ein Muster mit horizontalen Linien von links nach rechts, die jeweils einen Abstand von 10 Pixeln haben.

t>**Aufgabe lineare Funktion**<br />Erstelle ein Programm, in dem eine lineare Funktion () gezeichnet werden kann.

t>**Aufgabe Kringel-Cursor**<br />Zeichne mit Hilfe eines Programms um den Mauszeiger drei konzentrische Kreise mit den Durchmessern (30,40 und 50). Schreibe den Code so, dass die Anzahl der Kreise möglichst schnell angepasst werden kann.


## Schwierigkeitsstufe 2

t>**Aufgabe Fibonacci-Zahlen**<br />Sehr bekannt sind die Fibonacci-Zahlen (1 1 2 3 5 8 13 21 34 …). Erzeuge ein Programm, welches die ersten n Fibonacci-Zahlen berechnet.

t>**Aufgabe Zinsrechner**<br />Ein Nutzer gibt folgende Daten an: Kapital, Zinssatz, Anzahl der Jahre. Gib den Nutzer das Endkapital seiner Anlage und eine Liste des jährlichen Zuwachses an.

*Grafik*

t>**Aufgabe Gitter-Cursor**<br />An der Stelle Ihres Mauszeigers soll ein quadratisches Gitter erscheinen. Die Anzahl der Gitterzellen in eine Richtung soll durch eine globale Variable "num" geregelt werden können.


## Schwierigkeitsstufe 3

*Grafik*

t>**Aufgabe Animierte Streifen**<br />Zeichnen Sie parallele, horizontale Streifen (y-Abstand 10 Pixel), die sich fortlaufend nach unten bewegen.