# Bildbearbeitung in Processing

*Dateiname: vertiefung_bildbearbeitung.md*

### Allgemeines

Es ist recht einfach in Processing zu zeichnen, zu radieren, die Farben zu ändern usw.
Besonders interessant wird es, wenn man Bilder hinzunimmt.


## Wichtige Befehle

Befehl|Erläuterung
------|-----------
PImage foto1; | Deklariert die Variable foto1
foto1 = loadImage(“blume.jpg“) | Weist der Variablen foto1 die Datei blume.jpg zu
image(foto1,x1,y1,x2,y2) | Stellt das Foto 1 von (x1,y1) bis (x2,y2) dar
save(“screenshot.png“) | Speichert den aktuellen Sketchfensterinhalt in ein Pixelgrafikdokument (jpg, png, tiff)
saveFrame(“screenshot-####.png“); | Ermöglicht eine Serie von Screenshots
tint(r,g,b,transparenz), noTint() | Legt den Farbton eines Bildes fest, setzt ihn zurück
red(pixel), green(pixel), blue(pixel) | Gibt den Rot, Grün bzw. Blau-Anteil des Pixels zurück
loadPixels(), updatePixels() | Methode, lädt die Pixel eines entsprechenden Bildes und updatet sie
filter() | Methode. Legt Filter über Bild, kann mit folgenden Werte ausgeführt werden GRAY, INVERT, POSTERIZE, BLUR, ERODE, DILATE

## weiterführende Links

- [swissedu.ch](https://www.swisseduc.ch/informatik/120-lektionen/programmier-projekt-processing/docs/programmierprojekt-processing.pdf )