# Übung Bedingte Schleifen

*Dateiname: schleifen_ubung1.md*



t>**Aufgabe**<br />Schreibe ein Programm, das zählt, wie oft man Würfeln muss, bis die Zahl 6 erscheint.<br /><br />a) Überlege, ob es sich um eine kopfgesteuerte oder fußgesteuerte Schleife handelt.<br />b) Zeichne ein Flussdiagramm zu einem Algorithmus, welcher das oben stehende Programm löst.<br />c) Implementiere deinen Lösungsalgorithmus.

t>**Aufgabe Euklidischer Algorithmus**<br />Schreibe ein Programm, was mit Hilfe des Euklidischen Algorithmus den größten gemeinsamen Teiler zweier natürlicher Zahlen ermittelt.

?>**Euklidischer Algorithmus**<br /><br />I. Teile die erste Zahl (Dividend) durch die zweite Zahl (Divisor).<br /><br />II. Geht die Division auf, so ist der Divisor der ggT.<br /><br />III. Geht die Division nicht auf, so bleibt ein Rest. Dieser wird zum neuen Divisor, der	alte Divisor wird zum neuen Dividenden.<br /><br />IV. Setze das Verfahren fort bis die Division aufgeht (siehe II).

![Euklidischer Algorithmus Ablauf](https://assets.serlo.org/legacy/6733_UMBlIU809Q.png)

*Teste das Verfahren für 544 und 391.*<br />*Start: 544 : 391 = 1 Rest 153*

**Hinweise**

Folgende Funktionen können dabei genutzt werden:

- y = a / b; //liefert den ganzzahligen Teil der Division, wenn a und b als Integer deklariert wurden!
- y = a % b; // liefert den Rest, der sich bei der Division ergibt


---


## Schwierigkeit 1

t>**Aufgabe Countdown**<br />Schreibe ein Programm, dass eine Variable `zaehler` in 2er-Schritten von 10 bis 0 runterzählt. In jeder Runde soll der Wert auf der Konsole ausgegeben werden.

t>**Aufgabe Viele Quadrate**<br />Zeichne drei Quadrate nebeneinander. Das erste liegt bei (10,40) und ist 20x20 Pixel groß. Das nächste liegt mit 10 Pixeln Abstand rechts daneben, das dritte wieder 10 Pixel rechts davon.<br />Verwende eine While-Schleife, so dass mit einer kleinen Änderung auch 5 oder 2 Quadrate gezeichnet werden können.

---

## Schwierigkeit 2

t>**Aufgabe Teiler**<br />Schreibe alle Zahlen im Bereich {1, ..., 49} auf die Konsole, die durch 7 teilbar sind, und alle, die durch 13 teilbar sind.

t>**Aufgabe Heron-Verfahren**<br />Das Heron-Verfahren dient zur Ermittlung der Quadratwurzel einer Zahl. Entscheide, welche Zyklenart geeignet ist und zeichne ein Flussdiagramm. Erstelle ein Programm, welches mittels dieses Verfahrens, die Wurzel berechnet.<br />

*Anleitung zum Heron-Verfahren*

![](https://www.lernhelfer.de/sites/default/files/lexicon/article_image/BWS-MAT1-0262-01.gif)


---

## Schwierigkeit 3

t>**Aufgabe Teiler einer Zahl**<br />Erstelle ein Programm, das zu einer beliebigen Zahl n alle Teiler ermittelt.

t>**Aufgabe Goldbachsche Vermutung**<br />Jede beliebige natürliche Zahl größer gleich 4 kann als Summe zweier Primzahlen dargestellt werden. Durch dein Programm sollen diese beiden Primzahlen ermittelt werden.
