# Übung: Geschachtelte Verzweigung

*Dateiname: verzweigung_ubung2.md*


## Schwierigkeitsstufe 1


t>**Aufgabe 1.1 - Radarmessung II**<br />Schreibe ein Programm, was bei einer ermittelten Geschwindigkeitsmessung (Eingabe als Variable) überprüft, ob die vorgegebene Geschwindigkeit von  eingehalten wird. Es soll ein grafisches Hinweis Signal gegeben werden. Sollte die Geschwindigkeitsübertretung max. betragen, ist eine Strafe von 20 € fällig – darüber 60 €.

t>**Aufgabe 1.2 - Mietwagen**<br />Der Benutzer soll dazu folgende Eingaben machen:
Wagenkategorie, (1) klein oder (2) groß Mietzeit (Anzahl der Tage), Gefahrenen Kilometer.
Ein kleiner Wagen hat 60 km frei und kostet 60 Euro pro Tag; jeder zusätzlich gefahrene Kilometer kostet 0,40 Euro. Große Wagen haben 90 km frei, kosten 90 Euro je Tag; jeder zusätzlich gefahrene Kilometer 0,60 Euro. Erstelle ein entsprechendes Programm zur Berechnung.

## Schwierigkeitsstufe 2

t>**Aufgabe 2.1 - Button**<br />Erstelle einen rechteckigen Button. Sollte dieser angeklickt werden, färbt er sich in eine zufällige Farbe. 

t>**Aufgabe 2.2 - Spielfigur**<br />Erzeuge ein Programm, bei dem du mit Hilfe der Cursortasten eine Spielfigur (Pixel) steuern kannst.

## Schwierigkeitsstufe 3

t>**Aufgabe 3.1 - Schaltjahrprüfer**<br />Schreibe ein Programm, das zu einer eingegebenen Jahreszahl ermittelt, ob es sich um ein Schaltjahr handelt. Von einem Schaltjahr spricht man dann, wenn die Jahreszahl durch 4 teilbar ist, aber nicht durch 100, oder durch 400 teilbar ist.

*Hinweis: Restklassenrechnung bzw. modulo-Rechnung erhält man mittels %<br />4 % 2 = 0 ; 5 % 2 = 1<br />Schaue gegebenenfalls nochmal im Kapitel "Interessante Operatoren" nach.*

t>**Aufgabe 3.2 - Wochentagsrechner (schwer)**<br />Dieses Programm berechnet zu einem Datum (Tag/Monat/Jahr) den dazugehörigen Wochentag. Relativ aufwendig ist die Überprüfung des eigegebenen Datums auf Zuverlässigkeit.

*Die Formel für den Gregorianischen Kalender lautet:<br />k ist die Monatsanzahl, j die Jahreszahl innerhalb eines Jahrhunderts und c die Zahl der vollen (vergangenen) Jahrhunderte.<br />0-Sonntag ; 1-Montag ; … ; 6-Samstag*

t>**Aufgabe 3.3 - Lauftext**<br />Du schreibst eine Textanzeige, die bei Mausklick zum nächsten Wort wechselt. Das erste Wort ist "Hallo":

```
int zustand = 0;

void setup() {
  textAlign(CENTER);
  textSize(20);
}

void draw() {
  background(0);
  if (zustand == 0) {
    text("Hallo", width/2, height/2);
  }
}
```

t>Ergänze den Code, dass bei jedem Mausklick ein neues Wort angezeigt wird. Nach "Hallo" kommt "mein", "Name", "ist", "Hase", "Tschüs". Danach geht es wieder von vorn los.

t>**Aufgabe 3.4 - Maussensitive Bereiche**<br />Erzeuge ein Programm, welches – sollte es sich in einem bestimmten Bereich befinden – ein farbiges Pixel zeichnet. 

<img src="bilder/verzweigung_geschachtelte_maussensitiv.png" width="150px"/>


## Hilfe

![Hilfe-Banner](bilder/hilfe.jpg)

>Aufgabe 1.1

Sinnvoll bei solchen geschachtelten Sachverhalten (bis 10..bis 20..bis 30..mehr) ist es, den logischen Aufbau von klein->groß oder groß->klein zu strukturieren. Also "behandle" erst den kleinsten Fall (bis zur Obergrenze), folgend fängst du im `else`-Zweig die nächste Grenze ab und führst dies bis zum letzten...offenen Fall fort.

>Aufgabe 1.2

Verwende Variablen für Wagentyp als auch gefahrene Kilometer.
Differenziere zwischen den beiden Wagentypen. Je nach Typ ist lediglich die Berechnung eine andere. Dort musst du von den gefahrenen Kilometern die Freikilometer abziehen.


>Aufgabe 2.1 

Betrachte den Button als rechteckiges Fenster. Es muss also kontrolliert werden, ob sich der Mauszeiger bzgl. der x-Koordinate auf dem Feld befindet. Analog muss dies für die Y-Koordinate geschehen. Dies kannst du in verschachtelten Verzweigungen kontrollieren oder du nutzt logische Aussage (Abschnitt boolsche Ausdrücke).

>Aufgabe 2.2

Nutze für die Position deiner Spielfigur (Kreis) globale Variablen. Arbeite nun mit den Cursor-Tasten (keyCode UP, DOWN, LEFT, RIGHT) - kontrolliere diese vier Fälle und manipuliere entsprechend die Variablen, die die Koordinaten der Spielfigur beinhalten.

>Aufgabe 3.1

keine Hilfe vorhanden

>Aufgabe 3.2

keine Hilfe vorhanden

>Aufgabe 3.3 

keine Hilfe vorhanden

>Aufgabe 3.4

keine Hilfe vorhanden



